#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main()
{
    int n;
    ll l;
    cin>>n>>l;
    vector <ll> niz(n);
    int poz=-1;
    for (int i=0; i<n; i++)
    {
        cin>>niz[i];
        if (poz==-1 && niz[i]<=l) poz=i+1;
    }
    cout<<poz<<endl;
    return 0;
}